LTS2LPS(1)

NAME
lts2lps - translates an LTS into an LPS

SYNOPSIS
lts2lps [OPTION]... [INFILE [OUTFILE]]

DESCRIPTION
Translates an LTS in INFILE and writes the resulting LPS to OUTFILE. If OUTFILE is not present, standard output is used. If INFILE is not present, standard input is used.

OPTIONS

OPTION can be any of the following:

-DFILE, --data=FILE
    use FILE as the data and action specification. FILE must be a .mcrl2 file which does not contain an init clause.

-lFILE, --lps=FILE
    use FILE for the data and action specification. FILE must be a .lps file.

-mFILE, --mcrl2=FILE
    use FILE as the data and action specification for the LTS. FILE must be a .mcrl2 file.

--timings[=FILE]
    append timing measurements to FILE. Measurements are written to standard error if no FILE is provided

Standard options:

-q, --quiet
    do not display warning messages

-v, --verbose
    display short intermediate messages

-d, --debug
    display detailed intermediate messages

--log-level=LEVEL
    display intermediate messages up to and including level

-h, --help
    display help information

--version
    display version information

AUTHOR
Written by Frank Stappers.

REPORTING BUGS
Report bugs at <http://www.mcrl2.org/issuetracker>.

COPYRIGHT
Copyright © 2014 Technische Universiteit Eindhoven.
This is free software. You may redistribute copies of it under the terms of the Boost Software License <http://www.boost.org/LICENSE_1_0.txt>. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
See also the manual at <http://www.mcrl2.org/release/user_manual/tools/lts2lps.html>.